Bug 223074 - devel/tcltls: update to 1.7.13
Summary: devel/tcltls: update to 1.7.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikhail T.
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-10-17 22:44 UTC by jeff.lawson
Modified: 2017-11-16 20:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
patch for tcltls port (1.17 KB, patch)
2017-10-17 22:44 UTC, jeff.lawson
no flags Details | Diff
Move the new configure argument to a line of its own (980 bytes, patch)
2017-10-18 01:08 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jeff.lawson 2017-10-17 22:44:41 UTC
Created attachment 187249 [details]
patch for tcltls port

Update the tcltls port to the current version.

Add --enable-ssl-fastpath to workaround a known bug in 1.7.12 and 1.7.13 : https://core.tcl.tk/tcltls/info/6dd5588df68a5afd
Comment 1 Mikhail T. 2017-10-18 01:08:07 UTC
Created attachment 187254 [details]
Move the new configure argument to a line of its own

Thank you, Jeff! I'd prefer to have the new configure argument on a line of its own, before the rpath -- for this and the future diffs to be easier on the eyes.

I can not currently commit things myself (due to Bug #221393), but whoever sees this ticket should be free to commit. Thanks again.
Comment 2 commit-hook freebsd_committer 2017-11-16 20:23:17 UTC
A commit references this bug:

Author: mi
Date: Thu Nov 16 20:23:12 UTC 2017
New revision: 454337
URL: https://svnweb.freebsd.org/changeset/ports/454337

Log:
  Uprade from 1.7.12 to 1.7.13.

  PR:		223074
  Submitted by:	Jeff Lawson

Changes:
  head/devel/tcltls/Makefile
  head/devel/tcltls/distinfo
Comment 3 jeff.lawson 2017-11-16 20:28:21 UTC
tcldls version 1.7.14 was released in the time since I opened this request.
https://core.tcl.tk/tcltls/wiki/Download

Can you make another update for that?
Comment 4 Mikhail T. 2017-11-16 20:31:41 UTC
Port upgraded -- to 1.7.13 and then to 1.7.14. Thank you!